
Figure - Bug #118674
IOVDEV-32084【内部】【VC1】【0100】【台架】【EE环境】【副屏】【蓝牙】副屏在与蓝牙耳机设备进行
配对时，点击取消配对，弹窗提示“输入PIN码不对，无法连接”不太合理
2023-06-08 19:02 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 100

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230601 14：42

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.打开副屏蓝牙

2.点击苹果蓝牙耳机设备

3.点击弹窗里的“取消”

【实际结果】

1.点击“取消”按键后，提示“输入PIN码错误，无法进行连接”

【期望结果】

1.正常取消弹窗，无提示

【备注】：

第216次开机

开机时长：1：17：24

蓝牙耳机设备型号：Airpods

日志、视频地址：https://ofs.human-horizons.com/#/download/index/U8JEwuD9cfk%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0086.c102

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-06-09 10:34 - CD FW-廖涛

- Category changed from CD-FW to LC

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD LC 陶洪普

■ Current conclusion

通过分析代码，取消配对是调用 BluetoothDevice.cancelPairing() 来取消配对的，但是收到的配对结果原因是 reason ==
BluetoothDevice.UNBOND_REASON_AUTH_FAILED，所以展示了 “PIN码不正确，因此无法与XXX配对”。

■ Next action

麻烦洪普帮忙看一下为什么取消配对会返回 BluetoothDevice.UNBOND_REASON_AUTH_FAILED ？

#2 - 2023-06-13 11:45 - 短距组_SSRDCNJ 蒋俊杰

当前进展：

取消配对底层认为也是鉴权失败的，所以返回AbstractionLayer.BT_STATUS_AUTH_FAILURE，而Framework对应返回给上层的reason就

是BluetoothDevice.UNBOND_REASON_AUTH_FAILED，这个是原生设计如此，其它机器上在取消配对后也都会提示“PIN码不正确，因此无法与XXX配

对”。

下一步：

这个是正常现象，不建议修改

#3 - 2023-06-13 19:51 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CD TEST-方永红

如上一条Comments分析，原生行为，已更新到JIARA。

#4 - 2023-06-17 17:59 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户回复

手动取消配对为低频操作，且不影响用户正常使用，当前版本可维持现状

#5 - 2023-06-17 17:59 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#6 - 2023-06-17 17:59 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files
